
Redmine - Defect #2171

Error when exporting an issue to PDF with commits

2008-11-13 02:32 - Eric Davis

Status: Closed Start date: 2008-11-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

If you export a issue details that has commits, Redmine throws an error.  I think this is because of the change to show.rfpdf in r2006

but I haven't been able to research it.

Example issue to export

https://projects.littlestreamsoftware.com/issues/show/1720?format=pdf

Error details (courtesy of my new plugin :) )

A ActionView::TemplateError occurred in issues#show:

  can't convert ActiveRecord::Associations::BelongsToAssociation into String

  In issues/show.rfpdf

    (erb):82:in `+'

    (erb):82:in `render'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_coll

ection.rb:274:in `method_missing'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_prox

y.rb:175:in `method_missing'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_prox

y.rb:175:in `each'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_prox

y.rb:175:in `send'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_prox

y.rb:175:in `method_missing'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_coll

ection.rb:274:in `method_missing'

    (erb):80:in `render'

    vendor/plugins/rfpdf/lib/rfpdf/view.rb:79:in `render'

    vendor/plugins/rfpdf/lib/rfpdf/view.rb:72:in `instance_eval'

    vendor/plugins/rfpdf/lib/rfpdf/view.rb:72:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:35:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:22:in `render_templat

e'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:245:in `render_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1108:in `render_for

_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:868:in `render_with

_no_layout'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/layout.rb:259:in `render_wi

thout_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `rend

er_without_trace_View____determine_metric_path__Rendering'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/core_ext/benchmark.rb:8:in 

`realtime'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `rend

er_without_trace_View____determine_metric_path__Rendering'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:118:in `render'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_execution'
    vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:117:in `render'

    app/controllers/issues_controller.rb:107:in `show'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:131:in `ca

ll'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:131:in `cu

stom'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:160:in `ca

ll'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:160:in `re

spond'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:154:in `ea

ch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:154:in `re

spond'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:107:in `re

spond_to'

    app/controllers/issues_controller.rb:104:in `show'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `perform_ac

tion_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:580:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:573:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/rescue.rb:201:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:13:in 

`perform_action_without_newrelic_trace'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:12:in 

`perform_action_without_newrelic_trace'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:63:in `per

form_action'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_execution'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:52:in `per

form_action'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_execution'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:46:in `per

form_action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in `handl

e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `synch

ronize'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in `dispat

ch_without_newrelic'

    vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/dispatcher.rb:41:in `dispatch'
    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:158:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:281:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:128:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/command.rb:212:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:16:in `load'

    /usr/bin/mongrel_rails:16

-------------------------------

Request:

-------------------------------

  * URL       : https://projects.littlestreamsoftware.com/issues/show/1720?format=pdf

  * IP address: hi ya!

  * Parameters: {"format"=>"pdf", "action"=>"show", "id"=>"1720", "controller"=>"issues"}

  * Rails root: /home/websites/projects.littlestreamsoftware.com/releases/20081113012016

-------------------------------

Session:

-------------------------------

  * session id: ".....stuff......" 

  * data: {:query=>

      {:filters=>{"status_id"=>{:values=>[""], :operator=>"o"}}, :project_id=>28},

     "timelogdetails_sort"=>{:key=>"spent_on", :order=>"desc"},

     :per_page=>100,

     "issuesindex_sort"=>{:key=>"enumerations.position", :order=>"asc"},

     "flash"=>{}}

-------------------------------

Environment:

-------------------------------

  * GATEWAY_INTERFACE      : CGI/1.2

  * HTTP_ACCEPT            : text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8

  * HTTP_ACCEPT_CHARSET    : ISO-8859-1,utf-8;q=0.7,*;q=0.7

  * HTTP_ACCEPT_ENCODING   : gzip,deflate

  * HTTP_ACCEPT_LANGUAGE   : en-us,en;q=0.5

  * HTTP_CONNECTION        : Keep-Alive

  * HTTP_COOKIE            : ''

  * HTTP_HOST              : 127.0.0.1:12000

  * HTTP_MAX_FORWARDS      : 10

  * HTTP_REFERER           : https://projects.littlestreamsoftware.com/issues/show/1720

  * HTTP_USER_AGENT        : Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071618 

Iceweasel/3.0.1 (Debian-3.0.1-1)

  * HTTP_VERSION           : HTTP/1.1

  * HTTP_VIA               : 1.1 littlestreamsoftware.com

  * HTTP_X_FORWARDED_FOR   : 96.225.216.182

  * HTTP_X_FORWARDED_HOST  : projects.littlestreamsoftware.com

  * HTTP_X_FORWARDED_PROTO : https

  * HTTP_X_FORWARDED_SERVER: littlestreamsoftware.com

  * PATH_INFO              : /issues/show/1720
  * QUERY_STRING           : format=pdf

  * REMOTE_ADDR            : 127.0.0.1

  * REQUEST_METHOD         : GET

  * REQUEST_PATH           : /issues/show/1720

  * REQUEST_URI            : /issues/show/1720?format=pdf

  * SCRIPT_NAME            : /

  * SERVER_NAME            : 127.0.0.1

  * SERVER_PORT            : 12000

  * SERVER_PROTOCOL        : HTTP/1.1

  * SERVER_SOFTWARE        : Mongrel 1.1.4

  * Process: 20174

  * Server : theadmin

-------------------------------

Backtrace:

-------------------------------

  In issues/show.rfpdf

      (erb):82:in `+'

      (erb):82:in `render'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_co

llection.rb:274:in `method_missing'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:175:in `method_missing'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:175:in `each'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:175:in `send'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_pr

oxy.rb:175:in `method_missing'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/associations/association_co

llection.rb:274:in `method_missing'

      (erb):80:in `render'

      vendor/plugins/rfpdf/lib/rfpdf/view.rb:79:in `render'

      vendor/plugins/rfpdf/lib/rfpdf/view.rb:72:in `instance_eval'

      vendor/plugins/rfpdf/lib/rfpdf/view.rb:72:in `render'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:35:in `render'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/template.rb:22:in `render_templ

ate'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_view/base.rb:245:in `render_file'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1108:in `render_f

or_file'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:868:in `render_wi

th_no_layout'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/layout.rb:259:in `render_

without_benchmark'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `re

nder_without_trace_View____determine_metric_path__Rendering'

      /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/core_ext/benchmark.rb:8:i

n `realtime'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:51:in `re

nder_without_trace_View____determine_metric_path__Rendering'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:118:in `render'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_executio

n'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:117:in `render'

      app/controllers/issues_controller.rb:107:in `show'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:131:in `

call'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:131:in `

custom'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:160:in `

call'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:160:in `

respond'
      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:154:in `

each'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:154:in `

respond'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/mime_responds.rb:107:in `

respond_to'

      app/controllers/issues_controller.rb:104:in `show'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `send'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1162:in `perform_

action_without_filters'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:580:in `call_f

ilters'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:573:in `perfor

m_action_without_benchmark'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `pe

rform_action_without_rescue'

      /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/benchmarking.rb:68:in `pe

rform_action_without_rescue'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/rescue.rb:201:in `perform

_action_without_caching'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:13:i

n `perform_action_without_newrelic_trace'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstrac

t/query_cache.rb:33:in `cache'

      /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.0/lib/active_record/query_cache.rb:8:in `cache'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/caching/sql_cache.rb:12:i

n `perform_action_without_newrelic_trace'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:63:in `p

erform_action'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_executio

n'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:52:in `p

erform_action'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/method_tracer.rb:38:in `trace_method_executio

n'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/action_controller.rb:46:in `p

erform_action'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `send'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:529:in `process_w

ithout_filters'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in `proces

s_without_session_management_support'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130

:in `process'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in `process'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in `han

dle_request'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in `dis

patch'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `syn

chronize'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in `dis

patch'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in `dis

patch_cgi'

      /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in `disp

atch_without_newrelic'

      vendor/plugins/newrelic_rpm/lib/newrelic/agent/instrumentation/dispatcher.rb:41:in `dispatch

'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:76:in `process'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:74:in `synchronize'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/rails.rb:74:in `process'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:159:in `process_client'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:158:in `each'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:158:in `process_client'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `run'
      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `initialize'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `new'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:285:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `initialize'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `new'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel.rb:268:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:282:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:281:in `each'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/configurator.rb:281:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:128:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/lib/mongrel/command.rb:212:in `run'

      /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:281

      /usr/bin/mongrel_rails:16:in `load'

      /usr/bin/mongrel_rails:16

Related issues:

Related to Redmine - Feature #1383: Map repository authors to Redmine users Closed 2008-06-05

Associated revisions

Revision 2030 - 2008-11-13 17:39 - Jean-Philippe Lang

Fixes #2171: issue pdf export broken by r2006.

History

#1 - 2008-11-13 17:39 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2030.
